Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface GraphicsNodeBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  AbstractGraphicsNodeBridge, BatikFlowTextElementBridge, BatikRegularPolygonElementBridge, BatikStarElementBridge, BindableElementBridge, SVG12TextElementBridge, SVGAElementBridge, SVGCircleElementBridge, SVGDecoratedShapeElementBridge, SVGEllipseElementBridge, SVGFlowRootElementBridge, SVGGElementBridge, SVGImageElementBridge, SVGLineElementBridge, SVGMultiImageElementBridge, SVGPathElementBridge, SVGPolygonElementBridge, SVGPolylineElementBridge, SVGRectElementBridge, SVGShapeElementBridge, SVGSVGElementBridge, SVGSwitchElementBridge, SVGTextElementBridge, SVGUseElementBridge, XBLContentElementBridge, XBLShadowTreeElementBridge

    public interface GraphicsNodeBridge

extends Bridge

Bridge class for creating, building, and updating a `GraphicsNode` according to an `Element`.

Method Summary
`void` | `buildGraphicsNode(BridgeContext ctx, Element e, GraphicsNode node)` Builds using the specified BridgeContext and element, the specified graphics node.
`GraphicsNode` | `createGraphicsNode(BridgeContext ctx, Element e)` Creates a `GraphicsNode` according to the specified parameters.
`boolean` | `getDisplay(Element e)` Returns true if the graphics node has to be displayed, false otherwise.
`Bridge` | `getInstance()` Returns the Bridge instance to be used for a single DOM element.
`boolean` | `isComposite()` Returns true if the bridge handles container element, false otherwise.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getLocalName, getNamespaceURI`

Method Detail

### createGraphicsNode

    GraphicsNode createGraphicsNode(BridgeContext ctx,
                                    Element e)

  Creates a `GraphicsNode` according to the specified parameters. This is called before children have been added to the returned GraphicsNode (obviously since you construct and return it).

  Parameters:
    `ctx` - the bridge context to use
    `e` - the element that describes the graphics node to build
  Returns:
    a graphics node that represents the specified element

### buildGraphicsNode

    void buildGraphicsNode(BridgeContext ctx,
                           Element e,
                           GraphicsNode node)

  Builds using the specified BridgeContext and element, the specified graphics node. This is called after all the children of the node have been constructed and added, so it is safe to do work that depends on being able to see your children nodes in this method.

  Parameters:
    `ctx` - the bridge context to use
    `e` - the element that describes the graphics node to build
    `node` - the graphics node to build

### isComposite

    boolean isComposite()

  Returns true if the bridge handles container element, false otherwise.

### getDisplay

    boolean getDisplay(Element e)

  Returns true if the graphics node has to be displayed, false otherwise.

### getInstance

    Bridge getInstance()

  Returns the Bridge instance to be used for a single DOM element. For example, a static Bridge (i.e., a Bridge for static SVG content) will always return the same instance. A dynamic Bridge will return a new instance on each call. FIX ME: Move to Bridge

  Specified by:
    `getInstance` in interface `Bridge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.